Skip to main content
PUT
Replace a pipeline

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

crm.schemas.quotes.write
crm.schemas.invoices.write
crm.schemas.orders.write
crm.schemas.commercepayments.write
crm.schemas.courses.write
tickets.sensitive.v2
e-commerce
crm.schemas.appointments.write
crm.schemas.tasks.write
crm.schemas.contacts.write
crm.schemas.carts.write
crm.schemas.companies.write
crm.objects.tickets.sensitive.write
crm.schemas.subscriptions.write
crm.schemas.emails.write
crm.schemas.custom.write
crm.schemas.listings.write
crm.pipelines.orders.write
crm.objects.users.write
tickets.highly_sensitive.v2
crm.schemas.services.write
crm.schemas.notes.write
crm.objects.orders.write
crm.schemas.meetings.write
crm.schemas.deals.write
crm.schemas.calls.write
crm.objects.carts.write
crm.objects.tickets.highly_sensitive.write

Path Parameters

objectType
string
required
pipelineId
string
required

Query Parameters

validateDealStageUsagesBeforeDelete
boolean
default:false
validateReferencesBeforeDelete
boolean
default:false

Body

application/json
displayOrder
integer<int32>
required

The order for displaying this pipeline stage. If two pipeline stages have a matching displayOrder, they will be sorted alphabetically by label.

label
string
required

A label used to organize pipeline stages in HubSpot's UI. Each pipeline stage's label must be unique within that pipeline.

stages
object[]
required

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

Response

successful operation

A pipeline definition.

archived
boolean
required

Whether the pipeline is archived.

createdAt
string<date-time>
required

The date the pipeline was created. The default pipelines will have createdAt = 0.

displayOrder
integer<int32>
required

The order for displaying this pipeline. If two pipelines have a matching displayOrder, they will be sorted alphabetically by label.

id
string
required

A unique identifier generated by HubSpot that can be used to retrieve and update the pipeline.

label
string
required

A unique label used to organize pipelines in HubSpot's UI

stages
object[]
required

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

updatedAt
string<date-time>
required

The date the pipeline was last updated.

archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

Last modified on March 30, 2026